#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst', 'rt') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst', 'rt') as history_file:
    history = history_file.read()


setup(
    author="IRIS PASSCAL",
    author_email='software-support@passcal.nmt.edu',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved ::  GNU General Public License v3 (GPLv3)',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    description="Visualize State-of-Health packets from raw data recorded by "
                "different type of dataloggers.",
    entry_points={
        'console_scripts': [
            'sohstationviewer=sohstationviewer.sohstationviewer:main',
        ],
    },
    install_requires=['obspy',
                      'PySide2'],
    setup_requires=[],
    extras_require={
        'dev': [
            'flake8'
        ]
    },
    license="GNU General Public License v3",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='sohstationviewer',
    name='sohstationviewer',
    packages=find_packages(include=['sohstationviewer']),
    url='https://git.passcal.nmt.edu/passoft/sohstationviewer',
    version='2021.167',
    zip_safe=False,
)
