# Just using RGB for everything since some things don't handle color names
# correctly, like PIL on macOS doesn't handle "green" very well.
# b = dark blue, was the U value for years, but it can be hard to see, so U
#     was lightened up a bit.
# Orange should be #FF7F00, but #DD5F00 is easier to see on a white background
# and it still looks OK on a black background.
# Purple should be A020F0, but that was a little dark.
# "X" should not be used. Including X at the end of a passed color pair (or by
# itself) indicates that a Toplevel or dialog box should use grab_set_global()
# which is not a color.

Clr = {"B": "#000000", "C": "#00FFFF", "G": "#00FF00", "M": "#FF00FF",
       "R": "#FF0000", "O": "#FF7F00", "W": "#FFFFFF", "Y": "#FFFF00",
       "E": "#DFDFDF", "A": "#8F8F8F", "K": "#3F3F3F", "U": "#0070FF",
       "N": "#007F00", "S": "#7F0000", "y": "#7F7F00", "u": "#ADD8E6",
       "s": "#FA8072", "p": "#FFB6C1", "g": "#90EE90", "r": "#EFEFEF",
       "P": "#AA22FF", "b": "#0000FF"}

# This is just if the program wants to let the user know what the possibilities
# are.
ClrDesc = {"B": "black", "C": "cyan", "G": "green", "M": "magenta",
           "R": "red", "O": "orange", "W": "white", "Y": "yellow",
           "E": "light gray", "A": "gray", "K": "dark gray", "U": "blue",
           "N": "dark green", "S": "dark red", "y": "dark yellow",
           "u": "light blue", "s": "salmon", "p": "light pink",
           "g": "light green", "r": "very light gray", "P": "purple",
           "b": "dark blue"}


def set_colors(mode):
    """
    get the display_color dict according to mode
    :param mode: "B" or "W"
    """
    display_color = {}
    if mode == "B":
        display_color["background"] = Clr["B"]
        display_color['basic'] = Clr["W"]
        display_color['sub_basic'] = Clr["A"]
        display_color["plot_label"] = Clr["C"]
        display_color["time_ruler"] = Clr["Y"]
        display_color["zoom_marker"] = Clr["O"]
        display_color["warning"] = Clr["O"]
    elif mode == "W":
        display_color["background"] = Clr["W"]
        display_color["basic"] = Clr["B"]
        display_color['sub_basic'] = Clr["A"]
        display_color["plot_label"] = Clr["B"]
        display_color["time_ruler"] = Clr["U"]
        display_color["zoom_marker"] = Clr["O"]
        display_color["warning"] = Clr["O"]
    return display_color
    # if mode == "B":
    #     # Main form background
    #     display_color["MF"] = Clr["B"]
    #     # GPS background and dots.
    #     display_color["GS"] = Clr["K"]
    #     display_color["GD"] = Clr["W"]
    #     # Time rule time and rule.
    #     display_color["TM"] = Clr["W"]
    #     display_color["TR"] = Clr["Y"]
    #     # Zoom markers
    #     display_color["ZM"] = Clr["O"]
    #     # Time grid lines.
    #     display_color["GR"] = Clr["y"]
    #     # Date/time and ticks. Different things want the colors expressed in
    #     # different ways.
    #     display_color["T0"] = Clr["W"]
    #     display_color["TL"] = Clr["W"]
    #     # Labels.
    #     display_color["LB"] = Clr["C"]
    #     # Text like the title.
    #     display_color["TX"] = Clr["W"]
    #     # The plot center line or the upper and lower bounds lines.
    #     display_color["P0"] = Clr["A"]
    #     # Line connecting dots.
    #     display_color["PL"] = Clr["A"]
    #     # Selector rules
    #     display_color["SR"] = Clr["Y"]
    #     # TPS Canvas
    #     display_color["TC"] = Clr["B"]
    #     # The main plot time rule created by others (like by TPS clicking).
    #     display_color["OR"] = Clr["O"]
    #     # Gap Gap and Overlap.
    #     display_color["GG"] = Clr["R"]
    #     display_color["GO"] = Clr["R"]
    #     # RT130:
    #     display_color["BAD/OFF"] = Clr["R"]
    #     display_color["GOOD/ON"] = Clr["G"]
    #
    # elif mode == "W":
    #     display_color["MF"] = Clr["W"]
    #     display_color["GS"] = Clr["W"]
    #     display_color["GD"] = Clr["B"]
    #     display_color["TM"] = Clr["B"]
    #     display_color["TR"] = Clr["U"]
    #     display_color["GR"] = Clr["E"]
    #     display_color["T0"] = Clr["B"]
    #     display_color["TL"] = Clr["B"]
    #     display_color["LB"] = Clr["B"]
    #     display_color["TX"] = Clr["B"]
    #     display_color["P0"] = Clr["A"]
    #     display_color["PL"] = Clr["E"]
    #     display_color["SR"] = Clr["A"]
    #     display_color["TC"] = Clr["W"]
    #     display_color["OR"] = Clr["U"]
    #     display_color["GG"] = Clr["R"]
    #     display_color["GO"] = Clr["R"]
