"""
datatypedialog.py
GUI to add/edit/remove dataTypes
NOTE: Cannot remove or change dataTypes that already have channels.
"""

from sohstationviewer.view.core.db_gui_superclass import Ui_DBInfoDialog
from sohstationviewer.database.proccessDB import executeDB


class DataTypeDialog(Ui_DBInfoDialog):
    def __init__(self, parent):
        super().__init__(parent, ['No.', 'DataType'], 'dataType', 'dataTypes',
                         resize_content_columns=[0])
        self.setWindowTitle("Edit/Add/Delete DataTypes")

    def add_row(self, row_idx, fk=False):
        self.addWidget(None, row_idx, 0)  # No.
        self.addWidget(self.data_list, row_idx, 1, foreign_key=fk)

    def get_data_list(self):
        data_type_rows = executeDB('SELECT * FROM DataTypes')
        return [[d[0]] for d in data_type_rows]

    def get_row_inputs(self, row_idx):
        return [self.data_table_widget.cellWidget(row_idx, 1).text().strip()]

    def update_data(self, row, widget_idx, list_idx):
        insert_sql = f"INSERT INTO DataTypes VALUES('{row[0]}')"
        update_sql = (f"UPDATE DataTypes SET dataType='{row[0]}' "
                      f"WHERE dataType='%s'")

        return super().update_data(
            row, widget_idx, list_idx, insert_sql, update_sql)
