"""
plottypedialog
GUI to view the types of plotting and their descriptions
NOTE: plottypes are defined in plottingWidget
"""

from sohstationviewer.view.core.db_gui_superclass import Ui_DBInfoDialog
from sohstationviewer.view.core import plotting_widget


class PlotTypeDialog(Ui_DBInfoDialog):
    def __init__(self, parent):
        super().__init__(
            parent, ['No.', '       Plot Type        ', 'Description'],
            '', '', resize_content_columns=[0, 1], check_fk=False)
        self.setWindowTitle("Plotting Types")

    def add_row(self, row_idx, fk=False):
        self.addWidget(None, row_idx, 0)       # No.
        self.addWidget(self.data_list, row_idx, 1, foreign_key=True)
        self.addWidget(self.data_list, row_idx, 2, foreign_key=True)

    def get_data_list(self):
        return [[key, val[0]] for key, val in plotting_widget.plotFunc.items()]
